"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
Object.defineProperty(exports, "__esModule", { value: true });
exports.SitePageSplit = exports.SiteFooterSection = exports.SiteHeaderSection = exports.SiteNavigation = exports.SiteBreadcrumbSection = exports.handleReadModeTooltips = exports.checkPageError = exports.SiteBasePage = exports.PageLoader = exports.PageHead = exports.PageError = exports.EmptyBasePage = exports.AppBasePage = exports.SolutionModal = exports.OrgModal = exports.MeModal = exports.checkNavRole = exports.getNavItem = exports.NavSectionItem = exports.NavSectionItemButton = exports.NavSection = exports.OrgNavItem = exports.MeNavItem = exports.OrgForm = exports.MeForm = exports.returnServerSideProps = exports.getRecordServerSideProps = exports.getBasicServerSideProps = exports.Stripe = exports.useCurrentContext = exports.signOutCognito = exports.signOut = exports.getCurrentPoolUserCognito = exports.getCurrentPoolUser = exports.signInCognito = exports.getAuth = exports.signIn = exports.Uploader = exports.callApi = exports.MessageListener = exports.InProgress = exports.getGlobalApiEndpoint = exports.setGlobalApiEndpoint = exports.getGlobalComponent = exports.setGlobalComponent = exports.getApiEndpointBase = exports.getApiEndpoint = exports.getApiRootError = exports.callApiBase = exports.uploadToS3 = void 0;
exports.renderTitleCell = exports.getDefaultFirstBodyCell = exports.DEFAULT_LIST_COLUMNS = exports.renderListRecordInAction = exports.renderListDefaultColumn = exports.DEFAULT_LIST_ACTION_COLUMN = exports.DEFAULT_LIST_EMAIL_COLUMN = exports.DEFAULT_LIST_OPEN_IN_BROWSER_COLUMN = exports.DEFAULT_LIST_EDIT_COLUMN = exports.DEFAULT_LIST_PLAY_COLUMN = exports.DEFAULT_LIST_SELECT_COLUMN = exports.renderListIconButtonColumn = exports.renderListActionButtonColumn = exports.ListTableSection = exports.ListNavSection = exports.LISTS_OPTION = exports.TAGS_OPTION = exports.CATEGORIES_OPTION = exports.ListLoadingSection = exports.ListSection = exports.ListHeaderSection = exports.ListFiltersSection = exports.ListEmptySection = exports.renderActionButton = exports.SearchSection = exports.ActionButton = exports.Custom404Page = exports.getServerSidePropsForHomePage = exports.HomePage = exports.DashboardPageWrapper = exports.ListPageWrapper = exports.ListPage = exports.getServerSidePropsForReadPage = exports.ReadPage = exports.getServerSidePropsForReadWebPage = exports.ReadWebPage = exports.SiteSwiperSection = exports.SiteSimilarSection = exports.SiteRecordSection = exports.SitePageHeroArea = exports.SitePageSection = exports.SiteIntroSection = exports.SiteMainSection = exports.SiteRecordContentSection = exports.SiteSubmitEmailSection = exports.SiteTitle = exports.SiteTagsSection = exports.SiteSection = exports.SiteErrorSection = exports.SitePageSingle = void 0;
exports.GoogleMapSection = exports.Credits = exports.AppTopOrg = exports.getAIExtractorListForCustomization = exports.getAIExtractorColumnsForUser = exports.processAIExtractorResult = exports.startAIExtractorJob = exports.processAIExtractorJob = exports.getAIExtractorFileId = exports.getAIExtractorFileName = exports.getAIExtractorS3FileName = exports.AIExtractorFormForUser = exports.AIExtractorFormForCustomization = exports.App = exports.renderBodyCell = void 0;
var util_1 = require("./util");
Object.defineProperty(exports, "uploadToS3", { enumerable: true, get: function () { return util_1.uploadToS3; } });
Object.defineProperty(exports, "callApiBase", { enumerable: true, get: function () { return util_1.callApiBase; } });
Object.defineProperty(exports, "getApiRootError", { enumerable: true, get: function () { return util_1.getApiRootError; } });
Object.defineProperty(exports, "getApiEndpoint", { enumerable: true, get: function () { return util_1.getApiEndpoint; } });
Object.defineProperty(exports, "getApiEndpointBase", { enumerable: true, get: function () { return util_1.getApiEndpointBase; } });
Object.defineProperty(exports, "setGlobalComponent", { enumerable: true, get: function () { return util_1.setGlobalComponent; } });
Object.defineProperty(exports, "getGlobalComponent", { enumerable: true, get: function () { return util_1.getGlobalComponent; } });
Object.defineProperty(exports, "setGlobalApiEndpoint", { enumerable: true, get: function () { return util_1.setGlobalApiEndpoint; } });
Object.defineProperty(exports, "getGlobalApiEndpoint", { enumerable: true, get: function () { return util_1.getGlobalApiEndpoint; } });
var in_progress_1 = require("./controls/in-progress");
Object.defineProperty(exports, "InProgress", { enumerable: true, get: function () { return in_progress_1.InProgress; } });
var message_listener_1 = require("./sections/message-listener");
Object.defineProperty(exports, "MessageListener", { enumerable: true, get: function () { return message_listener_1.MessageListener; } });
var auth_call_api_1 = require("./context/auth-call-api");
Object.defineProperty(exports, "callApi", { enumerable: true, get: function () { return auth_call_api_1.callApi; } });
var uploader_1 = require("./controls/uploader");
Object.defineProperty(exports, "Uploader", { enumerable: true, get: function () { return uploader_1.Uploader; } });
var auth_cognito_1 = require("./context/auth-cognito");
Object.defineProperty(exports, "signIn", { enumerable: true, get: function () { return auth_cognito_1.signIn; } });
Object.defineProperty(exports, "getAuth", { enumerable: true, get: function () { return auth_cognito_1.getAuth; } });
Object.defineProperty(exports, "signInCognito", { enumerable: true, get: function () { return auth_cognito_1.signInCognito; } });
Object.defineProperty(exports, "getCurrentPoolUser", { enumerable: true, get: function () { return auth_cognito_1.getCurrentPoolUser; } });
Object.defineProperty(exports, "getCurrentPoolUserCognito", { enumerable: true, get: function () { return auth_cognito_1.getCurrentPoolUserCognito; } });
Object.defineProperty(exports, "signOut", { enumerable: true, get: function () { return auth_cognito_1.signOut; } });
Object.defineProperty(exports, "signOutCognito", { enumerable: true, get: function () { return auth_cognito_1.signOutCognito; } });
var use_current_context_1 = require("./context/use-current-context");
Object.defineProperty(exports, "useCurrentContext", { enumerable: true, get: function () { return use_current_context_1.useCurrentContext; } });
var stripe_1 = require("./controls/stripe");
Object.defineProperty(exports, "Stripe", { enumerable: true, get: function () { return stripe_1.Stripe; } });
var server_1 = require("./page/server");
Object.defineProperty(exports, "getBasicServerSideProps", { enumerable: true, get: function () { return server_1.getBasicServerSideProps; } });
Object.defineProperty(exports, "getRecordServerSideProps", { enumerable: true, get: function () { return server_1.getRecordServerSideProps; } });
Object.defineProperty(exports, "returnServerSideProps", { enumerable: true, get: function () { return server_1.returnServerSideProps; } });
var me_1 = require("./sections/forms/me");
Object.defineProperty(exports, "MeForm", { enumerable: true, get: function () { return me_1.MeForm; } });
var org_1 = require("./sections/forms/org");
Object.defineProperty(exports, "OrgForm", { enumerable: true, get: function () { return org_1.OrgForm; } });
var me_2 = require("./sections/nav/me");
Object.defineProperty(exports, "MeNavItem", { enumerable: true, get: function () { return me_2.MeNavItem; } });
var org_2 = require("./sections/nav/org");
Object.defineProperty(exports, "OrgNavItem", { enumerable: true, get: function () { return org_2.OrgNavItem; } });
var index_1 = require("./sections/nav/index");
Object.defineProperty(exports, "NavSection", { enumerable: true, get: function () { return index_1.NavSection; } });
var item_1 = require("./sections/nav/item");
Object.defineProperty(exports, "NavSectionItemButton", { enumerable: true, get: function () { return item_1.NavSectionItemButton; } });
Object.defineProperty(exports, "NavSectionItem", { enumerable: true, get: function () { return item_1.NavSectionItem; } });
Object.defineProperty(exports, "getNavItem", { enumerable: true, get: function () { return item_1.getNavItem; } });
Object.defineProperty(exports, "checkNavRole", { enumerable: true, get: function () { return item_1.checkNavRole; } });
var me_modal_1 = require("./sections/modals/me-modal");
Object.defineProperty(exports, "MeModal", { enumerable: true, get: function () { return me_modal_1.MeModal; } });
var org_modal_1 = require("./sections/modals/org-modal");
Object.defineProperty(exports, "OrgModal", { enumerable: true, get: function () { return org_modal_1.OrgModal; } });
var solution_modal_1 = require("./sections/modals/solution-modal");
Object.defineProperty(exports, "SolutionModal", { enumerable: true, get: function () { return solution_modal_1.SolutionModal; } });
var app_base_1 = require("./page/app-base");
Object.defineProperty(exports, "AppBasePage", { enumerable: true, get: function () { return app_base_1.AppBasePage; } });
var empty_base_1 = require("./page/empty-base");
Object.defineProperty(exports, "EmptyBasePage", { enumerable: true, get: function () { return empty_base_1.EmptyBasePage; } });
var error_1 = require("./page/error");
Object.defineProperty(exports, "PageError", { enumerable: true, get: function () { return error_1.PageError; } });
var head_1 = require("./page/head");
Object.defineProperty(exports, "PageHead", { enumerable: true, get: function () { return head_1.PageHead; } });
var loader_1 = require("./page/loader");
Object.defineProperty(exports, "PageLoader", { enumerable: true, get: function () { return loader_1.PageLoader; } });
var site_base_1 = require("./page/site-base");
Object.defineProperty(exports, "SiteBasePage", { enumerable: true, get: function () { return site_base_1.SiteBasePage; } });
var util_2 = require("./page/util");
Object.defineProperty(exports, "checkPageError", { enumerable: true, get: function () { return util_2.checkPageError; } });
Object.defineProperty(exports, "handleReadModeTooltips", { enumerable: true, get: function () { return util_2.handleReadModeTooltips; } });
var site_breadcrumb_1 = require("./sections/site-breadcrumb");
Object.defineProperty(exports, "SiteBreadcrumbSection", { enumerable: true, get: function () { return site_breadcrumb_1.SiteBreadcrumbSection; } });
var site_navigation_1 = require("./sections/site-navigation");
Object.defineProperty(exports, "SiteNavigation", { enumerable: true, get: function () { return site_navigation_1.SiteNavigation; } });
var site_header_1 = require("./sections/site-header");
Object.defineProperty(exports, "SiteHeaderSection", { enumerable: true, get: function () { return site_header_1.SiteHeaderSection; } });
var site_footer_1 = require("./sections/site-footer");
Object.defineProperty(exports, "SiteFooterSection", { enumerable: true, get: function () { return site_footer_1.SiteFooterSection; } });
var site_page_split_1 = require("./sections/site-page-split");
Object.defineProperty(exports, "SitePageSplit", { enumerable: true, get: function () { return site_page_split_1.SitePageSplit; } });
var site_page_single_1 = require("./sections/site-page-single");
Object.defineProperty(exports, "SitePageSingle", { enumerable: true, get: function () { return site_page_single_1.SitePageSingle; } });
var site_error_1 = require("./sections/site-error");
Object.defineProperty(exports, "SiteErrorSection", { enumerable: true, get: function () { return site_error_1.SiteErrorSection; } });
var site_section_1 = require("./sections/site-section");
Object.defineProperty(exports, "SiteSection", { enumerable: true, get: function () { return site_section_1.SiteSection; } });
var site_tags_1 = require("./sections/site-tags");
Object.defineProperty(exports, "SiteTagsSection", { enumerable: true, get: function () { return site_tags_1.SiteTagsSection; } });
var site_title_1 = require("./sections/site-title");
Object.defineProperty(exports, "SiteTitle", { enumerable: true, get: function () { return site_title_1.SiteTitle; } });
var site_submit_email_1 = require("./sections/site-submit-email");
Object.defineProperty(exports, "SiteSubmitEmailSection", { enumerable: true, get: function () { return site_submit_email_1.SiteSubmitEmailSection; } });
var site_record_content_1 = require("./sections/site-record-content");
Object.defineProperty(exports, "SiteRecordContentSection", { enumerable: true, get: function () { return site_record_content_1.SiteRecordContentSection; } });
var site_main_1 = require("./sections/site-main");
Object.defineProperty(exports, "SiteMainSection", { enumerable: true, get: function () { return site_main_1.SiteMainSection; } });
var site_intro_1 = require("./sections/site-intro");
Object.defineProperty(exports, "SiteIntroSection", { enumerable: true, get: function () { return site_intro_1.SiteIntroSection; } });
var site_page_1 = require("./sections/site-page");
Object.defineProperty(exports, "SitePageSection", { enumerable: true, get: function () { return site_page_1.SitePageSection; } });
Object.defineProperty(exports, "SitePageHeroArea", { enumerable: true, get: function () { return site_page_1.SitePageHeroArea; } });
var site_record_1 = require("./sections/site-record");
Object.defineProperty(exports, "SiteRecordSection", { enumerable: true, get: function () { return site_record_1.SiteRecordSection; } });
var site_similar_1 = require("./sections/site-similar");
Object.defineProperty(exports, "SiteSimilarSection", { enumerable: true, get: function () { return site_similar_1.SiteSimilarSection; } });
var site_swiper_1 = require("./sections/site-swiper");
Object.defineProperty(exports, "SiteSwiperSection", { enumerable: true, get: function () { return site_swiper_1.SiteSwiperSection; } });
var web_page_1 = require("./pages/read/web-page");
Object.defineProperty(exports, "ReadWebPage", { enumerable: true, get: function () { return web_page_1.ReadWebPage; } });
Object.defineProperty(exports, "getServerSidePropsForReadWebPage", { enumerable: true, get: function () { return web_page_1.getServerSidePropsForReadWebPage; } });
var page_1 = require("./pages/read/page");
Object.defineProperty(exports, "ReadPage", { enumerable: true, get: function () { return page_1.ReadPage; } });
Object.defineProperty(exports, "getServerSidePropsForReadPage", { enumerable: true, get: function () { return page_1.getServerSidePropsForReadPage; } });
var list_1 = require("./pages/list");
Object.defineProperty(exports, "ListPage", { enumerable: true, get: function () { return list_1.ListPage; } });
var list_wrapper_1 = require("./pages/list-wrapper");
Object.defineProperty(exports, "ListPageWrapper", { enumerable: true, get: function () { return list_wrapper_1.ListPageWrapper; } });
var dashboard_wrapper_1 = require("./pages/dashboard-wrapper");
Object.defineProperty(exports, "DashboardPageWrapper", { enumerable: true, get: function () { return dashboard_wrapper_1.DashboardPageWrapper; } });
var home_1 = require("./pages/home");
Object.defineProperty(exports, "HomePage", { enumerable: true, get: function () { return home_1.HomePage; } });
Object.defineProperty(exports, "getServerSidePropsForHomePage", { enumerable: true, get: function () { return home_1.getServerSidePropsForHomePage; } });
var _404_1 = require("./pages/404");
Object.defineProperty(exports, "Custom404Page", { enumerable: true, get: function () { return _404_1.Custom404Page; } });
var action_button_1 = require("./controls/action-button");
Object.defineProperty(exports, "ActionButton", { enumerable: true, get: function () { return action_button_1.ActionButton; } });
var search_1 = require("./sections/search");
Object.defineProperty(exports, "SearchSection", { enumerable: true, get: function () { return search_1.SearchSection; } });
var action_menu_1 = require("./controls/action-menu");
Object.defineProperty(exports, "renderActionButton", { enumerable: true, get: function () { return action_menu_1.renderActionButton; } });
var empty_1 = require("./sections/list/empty");
Object.defineProperty(exports, "ListEmptySection", { enumerable: true, get: function () { return empty_1.ListEmptySection; } });
var filters_1 = require("./sections/list/filters");
Object.defineProperty(exports, "ListFiltersSection", { enumerable: true, get: function () { return filters_1.ListFiltersSection; } });
var header_1 = require("./sections/list/header");
Object.defineProperty(exports, "ListHeaderSection", { enumerable: true, get: function () { return header_1.ListHeaderSection; } });
var index_2 = require("./sections/list/index");
Object.defineProperty(exports, "ListSection", { enumerable: true, get: function () { return index_2.ListSection; } });
var loading_1 = require("./sections/list/loading");
Object.defineProperty(exports, "ListLoadingSection", { enumerable: true, get: function () { return loading_1.ListLoadingSection; } });
var nav_1 = require("./sections/list/nav");
Object.defineProperty(exports, "CATEGORIES_OPTION", { enumerable: true, get: function () { return nav_1.CATEGORIES_OPTION; } });
Object.defineProperty(exports, "TAGS_OPTION", { enumerable: true, get: function () { return nav_1.TAGS_OPTION; } });
Object.defineProperty(exports, "LISTS_OPTION", { enumerable: true, get: function () { return nav_1.LISTS_OPTION; } });
Object.defineProperty(exports, "ListNavSection", { enumerable: true, get: function () { return nav_1.ListNavSection; } });
var table_1 = require("./sections/list/table");
Object.defineProperty(exports, "ListTableSection", { enumerable: true, get: function () { return table_1.ListTableSection; } });
var util_3 = require("./sections/list/util");
Object.defineProperty(exports, "renderListActionButtonColumn", { enumerable: true, get: function () { return util_3.renderListActionButtonColumn; } });
Object.defineProperty(exports, "renderListIconButtonColumn", { enumerable: true, get: function () { return util_3.renderListIconButtonColumn; } });
Object.defineProperty(exports, "DEFAULT_LIST_SELECT_COLUMN", { enumerable: true, get: function () { return util_3.DEFAULT_LIST_SELECT_COLUMN; } });
Object.defineProperty(exports, "DEFAULT_LIST_PLAY_COLUMN", { enumerable: true, get: function () { return util_3.DEFAULT_LIST_PLAY_COLUMN; } });
Object.defineProperty(exports, "DEFAULT_LIST_EDIT_COLUMN", { enumerable: true, get: function () { return util_3.DEFAULT_LIST_EDIT_COLUMN; } });
Object.defineProperty(exports, "DEFAULT_LIST_OPEN_IN_BROWSER_COLUMN", { enumerable: true, get: function () { return util_3.DEFAULT_LIST_OPEN_IN_BROWSER_COLUMN; } });
Object.defineProperty(exports, "DEFAULT_LIST_EMAIL_COLUMN", { enumerable: true, get: function () { return util_3.DEFAULT_LIST_EMAIL_COLUMN; } });
Object.defineProperty(exports, "DEFAULT_LIST_ACTION_COLUMN", { enumerable: true, get: function () { return util_3.DEFAULT_LIST_ACTION_COLUMN; } });
Object.defineProperty(exports, "renderListDefaultColumn", { enumerable: true, get: function () { return util_3.renderListDefaultColumn; } });
Object.defineProperty(exports, "renderListRecordInAction", { enumerable: true, get: function () { return util_3.renderListRecordInAction; } });
Object.defineProperty(exports, "DEFAULT_LIST_COLUMNS", { enumerable: true, get: function () { return util_3.DEFAULT_LIST_COLUMNS; } });
Object.defineProperty(exports, "getDefaultFirstBodyCell", { enumerable: true, get: function () { return util_3.getDefaultFirstBodyCell; } });
Object.defineProperty(exports, "renderTitleCell", { enumerable: true, get: function () { return util_3.renderTitleCell; } });
Object.defineProperty(exports, "renderBodyCell", { enumerable: true, get: function () { return util_3.renderBodyCell; } });
var app_1 = require("./app");
Object.defineProperty(exports, "App", { enumerable: true, get: function () { return app_1.App; } });
var ai_extractor_for_customization_1 = require("./components/forms/ai-extractor-for-customization");
Object.defineProperty(exports, "AIExtractorFormForCustomization", { enumerable: true, get: function () { return ai_extractor_for_customization_1.AIExtractorFormForCustomization; } });
var ai_extractor_for_user_1 = require("./components/forms/ai-extractor-for-user");
Object.defineProperty(exports, "AIExtractorFormForUser", { enumerable: true, get: function () { return ai_extractor_for_user_1.AIExtractorFormForUser; } });
var ai_extractor_util_1 = require("./components/forms/ai-extractor-util");
Object.defineProperty(exports, "getAIExtractorS3FileName", { enumerable: true, get: function () { return ai_extractor_util_1.getAIExtractorS3FileName; } });
Object.defineProperty(exports, "getAIExtractorFileName", { enumerable: true, get: function () { return ai_extractor_util_1.getAIExtractorFileName; } });
Object.defineProperty(exports, "getAIExtractorFileId", { enumerable: true, get: function () { return ai_extractor_util_1.getAIExtractorFileId; } });
Object.defineProperty(exports, "processAIExtractorJob", { enumerable: true, get: function () { return ai_extractor_util_1.processAIExtractorJob; } });
Object.defineProperty(exports, "startAIExtractorJob", { enumerable: true, get: function () { return ai_extractor_util_1.startAIExtractorJob; } });
Object.defineProperty(exports, "processAIExtractorResult", { enumerable: true, get: function () { return ai_extractor_util_1.processAIExtractorResult; } });
var ai_extractor_1 = require("./components/lists/ai-extractor");
Object.defineProperty(exports, "getAIExtractorColumnsForUser", { enumerable: true, get: function () { return ai_extractor_1.getAIExtractorColumnsForUser; } });
Object.defineProperty(exports, "getAIExtractorListForCustomization", { enumerable: true, get: function () { return ai_extractor_1.getAIExtractorListForCustomization; } });
var app_top_org_1 = require("./sections/app-top/app-top-org");
Object.defineProperty(exports, "AppTopOrg", { enumerable: true, get: function () { return app_top_org_1.AppTopOrg; } });
var credits_1 = require("./components/credits");
Object.defineProperty(exports, "Credits", { enumerable: true, get: function () { return credits_1.Credits; } });
var google_map_1 = require("./controls/google-map");
Object.defineProperty(exports, "GoogleMapSection", { enumerable: true, get: function () { return google_map_1.GoogleMapSection; } });
//# sourceMappingURL=index.js.map