"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListPage = void 0;
var react_1 = __importStar(require("react"));
var index_1 = __importDefault(require("../sections/list/index"));
var tree_1 = __importDefault(require("../sections/list/tree"));
var index_2 = require("mobx-react-lite/dist/index");
var env_1 = require("primeobjects-ui-web-store/build/cjs/stores/env");
var core_1 = require("primeobjects-helper-util/build/cjs/core");
var nav_1 = __importStar(require("../sections/list/nav"));
var lodash_1 = require("lodash");
var resize_detector_div_1 = require("primeobjects-ui-web-basic/build/cjs/controls/resize-detector-div");
var util_1 = require("../util");
var primeobjects_helper_ui_1 = require("primeobjects-helper-ui");
var notification_1 = __importDefault(require("../controls/antd/notification"));
var colors_1 = require("primeobjects-helper-util/build/cjs/colors");
var use_current_context_1 = require("../context/use-current-context");
var ListSection = undefined;
var ListTreeSection = undefined;
var ListNavSection = undefined;
var FormWrapperFromGlobal = undefined;
var SingleLineInputField = undefined;
var TreeField = undefined;
exports.ListPage = (0, index_2.observer)(function (props) {
    if (!ListSection) {
        console.log("Get global components in /pages/list.tsx");
        ListSection = (0, util_1.getGlobalComponent)("ListSection", index_1.default);
        ListTreeSection = (0, util_1.getGlobalComponent)("ListTreeSection", tree_1.default);
        ListNavSection = (0, util_1.getGlobalComponent)("ListNavSection", nav_1.default);
        FormWrapperFromGlobal = (0, util_1.getGlobalComponent)("FormWrapper");
        SingleLineInputField = (0, util_1.getGlobalComponent)("SingleLineInputField");
        TreeField = (0, util_1.getGlobalComponent)("TreeField");
    }
    var apis = props.apis, defaultRecordId = props.defaultRecordId;
    var solution = (0, primeobjects_helper_ui_1.useSolution)();
    var currentContext = (0, use_current_context_1.useCurrentContext)(solution);
    var organizationId = currentContext.organizationId;
    var primaryColor = (0, primeobjects_helper_ui_1.getPrimaryColor)();
    var FormWrapper = props.Form;
    var listViewMaxWidth = (0, lodash_1.isNumber)(props.listViewMaxWidth)
        ? props.listViewMaxWidth
        : 950;
    var formViewMaxWidth = (0, lodash_1.isNumber)(props.formViewMaxWidth)
        ? props.formViewMaxWidth
        : 800;
    var _a = (0, react_1.useState)(false), closeDrawer = _a[0], setCloseDrawer = _a[1];
    var _b = (0, react_1.useState)(false), closeListArea = _b[0], setCloseListArea = _b[1];
    var _c = (0, react_1.useState)(false), openInSmall = _c[0], setOpenInSmall = _c[1];
    var _d = (0, react_1.useState)(""), error = _d[0], setError = _d[1];
    var _e = (0, react_1.useState)(0), wrapperWidth = _e[0], setWrapperWidth = _e[1];
    var _f = (0, react_1.useState)([]), navOptions = _f[0], setNavOptions = _f[1];
    var _g = (0, react_1.useState)(undefined), curFormTab = _g[0], setCurFormTab = _g[1];
    var _h = (0, react_1.useState)(undefined), navOption = _h[0], setNavOption = _h[1];
    var _j = (0, react_1.useState)({}), curRecord = _j[0], setCurRecord = _j[1];
    var _k = (0, react_1.useState)([]), nodes = _k[0], setNodes = _k[1];
    var _l = (0, react_1.useState)([]), nodesSelected = _l[0], setNodesSelected = _l[1];
    var _m = (0, react_1.useState)(undefined), notification = _m[0], setNotification = _m[1];
    var _o = (0, react_1.useState)(undefined), resetUI = _o[0], setResetUI = _o[1];
    var _p = (0, react_1.useState)(undefined), curDeletedRecord = _p[0], setCurDeletedRecord = _p[1];
    var _q = (0, react_1.useState)(undefined), curSavedRecord = _q[0], setSavedRecord = _q[1];
    var _r = (0, react_1.useState)(undefined), removeFilteredNode = _r[0], setRemoveFilteredNode = _r[1];
    var env = (0, env_1.useEnvStore)();
    // const [width, setWidth] = useState(0);
    // const [dataAreaWidth, setDataAreaWidth] = useState(0);
    var smallScreen = env.size != "xl" && env.size != "2xl";
    var showDrawer = smallScreen && openInSmall && !closeDrawer;
    var showListArea = (!smallScreen && !closeListArea) || showDrawer;
    var listSectionProps = props.listSectionProps;
    var formWrapperProps = props.formWrapperProps;
    var view = props.view ? props.view : "list-form";
    var height = env.height - (props.adjHeight ? props.adjHeight : 0);
    (0, react_1.useEffect)(function () {
        if (props.entity.entityName != (navOption === null || navOption === void 0 ? void 0 : navOption.regardingEntityName)) {
            setCurRecord({});
            setSavedRecord(undefined);
            setError("");
            setResetUI(Date.now());
            var newNavOptions = props.navOptions && props.navOptions.length > 0
                ? props.navOptions
                : [nav_1.CATEGORIES_OPTION, nav_1.TAGS_OPTION, nav_1.LISTS_OPTION];
            setNavOptions(newNavOptions);
            var newNavOption = newNavOptions[0];
            setNavOption(__assign(__assign({}, newNavOption), { regardingEntityName: props.entity.entityName, regardingEntityType: props.entity.entityType }));
        }
        else {
            setError("The entity was not defined.");
        }
    }, [props.entity]);
    (0, react_1.useEffect)(function () {
        if (props.currentRecord && !(0, lodash_1.isEmpty)(props.currentRecord)) {
            setCurRecord(props.currentRecord);
        }
    }, [props.currentRecord]);
    // useEffect(() => {
    //     setDataAreaWidth();
    // }, [showListArea, showDrawer, width]);
    var onSelectOption = function (newNavOption) {
        setOpenInSmall(smallScreen);
        setNavOption(__assign(__assign({}, newNavOption), { regardingEntityName: props.entity.entityName, regardingEntityType: props.entity.entityType }));
        setCloseDrawer(false);
    };
    var onCloseDrawer = function () {
        setCloseDrawer(true);
    };
    var onToggleClose = function (closed) {
        setCloseListArea(closed);
    };
    var onEditRecord = function (record, action, entity, rowIndex) {
        (0, core_1.doNothing)({ action: action, entity: entity, rowIndex: rowIndex });
        var newRecord = (listSectionProps === null || listSectionProps === void 0 ? void 0 : listSectionProps.onEditRecord) &&
            (listSectionProps === null || listSectionProps === void 0 ? void 0 : listSectionProps.onEditRecord(record));
        setCurRecord((0, lodash_1.cloneDeep)(newRecord !== null && newRecord !== void 0 ? newRecord : record));
    };
    var onClickRecord = function (record, action, entity, rowIndex) {
        var result = props.onClickRecord
            ? props.onClickRecord(record, action, entity, rowIndex)
            : (listSectionProps === null || listSectionProps === void 0 ? void 0 : listSectionProps.onClickRecord)
                ? listSectionProps === null || listSectionProps === void 0 ? void 0 : listSectionProps.onClickRecord(record, action, entity, rowIndex)
                : undefined;
        if (result) {
            (0, lodash_1.each)(result, function (r) {
                onActionRecord(r.actionName, r.actionData);
            });
        }
    };
    var onCreateRecord = function (recordToCreate) {
        if (listSectionProps === null || listSectionProps === void 0 ? void 0 : listSectionProps.onCreateRecordInline) {
            setCurRecord({});
            setCurFormTab("");
            setSavedRecord(__assign(__assign({}, recordToCreate), { _inlineCreating: true }));
            listSectionProps === null || listSectionProps === void 0 ? void 0 : listSectionProps.onCreateRecordInline(recordToCreate).then(function (record) {
                var newRecord = record !== null && record !== void 0 ? record : recordToCreate;
                delete newRecord._inlineCreating;
                setSavedRecord(newRecord);
            }).catch(function (err) {
                console.error(err);
                setSavedRecord(__assign(__assign({}, recordToCreate), { _inlineRemove: true }));
                setNotification({
                    type: "error",
                    refresh: Date.now(),
                    message: "Failed to create record."
                });
            });
        }
        else {
            var newRecord = (listSectionProps === null || listSectionProps === void 0 ? void 0 : listSectionProps.onCreateRecord) &&
                (listSectionProps === null || listSectionProps === void 0 ? void 0 : listSectionProps.onCreateRecord(recordToCreate));
            setCurRecord(newRecord !== null && newRecord !== void 0 ? newRecord : recordToCreate);
            setCurFormTab("");
        }
    };
    var onSaveRecord = function (record) {
        setCurRecord(record);
        setSavedRecord(record);
    };
    var renderForm = function (onGoBack) {
        return (react_1.default.createElement(FormWrapper, __assign({}, formWrapperProps, { FormWrapper: FormWrapperFromGlobal, wrapperClassName: "w-full", currentTab: curFormTab, entity: props.entity, record: curRecord, onGoBack: onGoBack, onSave: onSaveRecord, onDelete: onDeleteRecord, onAction: onActionRecord, onClone: onCloneRecord })));
    };
    var onCloneRecord = function (record) {
        onSaveRecord(record);
    };
    var onActionRecord = function (name, data) {
        switch (name) {
            case "change-tab": {
                setCurFormTab("".concat(data, "|").concat(Date.now()));
                break;
            }
            case "update-current-record": {
                setCurRecord(data);
                setCurFormTab("|".concat(Date.now()));
                break;
            }
        }
    };
    var onDeleteRecord = function (record) {
        var newRecord = (listSectionProps === null || listSectionProps === void 0 ? void 0 : listSectionProps.onDeleteRecord) &&
            (listSectionProps === null || listSectionProps === void 0 ? void 0 : listSectionProps.onDeleteRecord(record));
        setCurRecord({});
        setCurDeletedRecord(newRecord !== null && newRecord !== void 0 ? newRecord : record);
    };
    var onResizeWrapper = function (width) {
        setWrapperWidth(width);
        props.onResizeWrapper && props.onResizeWrapper(width, props);
    };
    var renderContent = function () {
        var _a;
        if (!props.entity || (0, core_1.isNonEmptyString)(error)) {
            return (react_1.default.createElement("div", { className: "w-full text-red-600 p-6 border-l border-r", style: { height: height } }, error));
        }
        switch ((_a = props.entity) === null || _a === void 0 ? void 0 : _a.entityName) {
            case "Dashboard": {
                return (react_1.default.createElement("div", { className: "w-full flex flex-row", style: { height: height } }));
            }
            default: {
                return (react_1.default.createElement(react_1.default.Fragment, null,
                    renderListOnlyView(),
                    renderListFormView(),
                    renderTreeListView(),
                    react_1.default.createElement(notification_1.default, __assign({ id: "list-notification", placement: "bottom" }, notification))));
            }
        }
    };
    var getQuery = function () {
        var query = (listSectionProps === null || listSectionProps === void 0 ? void 0 : listSectionProps.query)
            ? listSectionProps.query
            : {};
        if (!query.entityName && props.entity) {
            query.entityName = props.entity.entityName;
            query.entityType = props.entity.entityType;
        }
        return query;
    };
    var renderListSection = function () {
        return (react_1.default.createElement(ListSection, __assign({}, listSectionProps, { defaultRecordId: defaultRecordId, onCloneRecord: onCloneRecord, recordToUpdate: curSavedRecord, recordDeleted: curDeletedRecord, onEditRecord: onEditRecord, onClickRecord: onClickRecord, onCreateRecord: onCreateRecord, renderCategories: view != "tree-list" && renderTree, nodes: nodes, currentRecord: curRecord, onRemoveFilter: onRemoveFilter, apis: apis, query: getQuery(), resetUI: resetUI, hideInfoHeader: props.hideListInfoHeader, infoHeaderContent: props.listInfoHeaderContent, hideInfoFooter: props.hideListInfoFooter, infoFooterContent: props.listInfoFooterContent }), props.children));
    };
    var renderList = function () {
        if (!props.entity)
            return react_1.default.createElement(react_1.default.Fragment, null);
        return (react_1.default.createElement(resize_detector_div_1.ResizeDetectorDiv, { onDetect: onResizeWrapper, className: "flex-1 flex flex-col bg-white overflow-hidden h-full max-h-full shadow rounded-lg", style: { minWidth: 400 } },
            react_1.default.createElement("div", { className: "list-wrapper h-full ".concat(!curRecord.id ? "" : "hidden") }, renderListSection()),
            react_1.default.createElement("div", { className: "form-wrapper h-full flex ".concat(curRecord.id ? "" : "hidden"), style: { maxWidth: formViewMaxWidth } }, renderForm(function () { return setCurRecord({}); }))));
    };
    var renderListFormView = function () {
        if (!props.entity || view != "list-form")
            return react_1.default.createElement(react_1.default.Fragment, null);
        var hideForm = !curRecord.id;
        return (react_1.default.createElement(resize_detector_div_1.ResizeDetectorDiv, { className: "list-form-view w-full flex flex-row list-view p-6", onDetect: onResizeWrapper, style: { height: height } },
            react_1.default.createElement("div", { className: "list-wrapper ".concat(hideForm ? "" : "mr-6", " h-full w-full bg-white rounded-lg shadow overflow-hidden \n                    ").concat(wrapperWidth < listViewMaxWidth ? "" : "max-w-md", " \n                    ").concat(wrapperWidth < listViewMaxWidth && curRecord.id
                    ? "hidden"
                    : "") }, renderListSection()),
            react_1.default.createElement("div", { className: "w-full flex flex-row overflow-hidden h-full max-h-full shadow rounded-lg ".concat(hideForm ? "hidden" : "") },
                react_1.default.createElement("div", { className: "form-wrapper h-full w-full bg-white" }, renderForm(wrapperWidth < listViewMaxWidth && curRecord.id
                    ? function () { return setCurRecord({}); }
                    : undefined)))));
    };
    var onClickTreeFilter = function (newNodes) {
        if (view != "tree-list") {
            setNodesSelected((0, lodash_1.filter)(newNodes, function (n) { return !n.remove; }));
        }
        else {
            setNodes((0, lodash_1.filter)(newNodes, function (n) { return !n.remove; }));
        }
    };
    var onClickApplyTreeFilter = function () {
        setNodes(nodesSelected);
    };
    var onRemoveFilter = function (filter, newData) {
        switch (filter.type) {
            case "node": {
                setNodes(newData ? newData : []);
                setRemoveFilteredNode(filter);
                break;
            }
        }
    };
    var renderTree = function (onClose) {
        var _a;
        if ((navOption === null || navOption === void 0 ? void 0 : navOption.type) != "tree" ||
            ((navOption === null || navOption === void 0 ? void 0 : navOption.type) == "tree" &&
                !(navOption.attributeName && navOption.entityName))) {
            return (react_1.default.createElement("div", { className: "w-full text-red-600 p-4" }, "Please define entityName and attributeName."));
        }
        return (react_1.default.createElement("div", { className: "flex flex-col w-full", style: {
                height: view != "tree-list" ? height - 180 : "100%"
            } },
            react_1.default.createElement("div", { className: "w-full", style: {
                    height: view != "tree-list" ? height - 220 : "100%"
                } },
                react_1.default.createElement(ListTreeSection, { wrapperClassName: navOption.type == "tree" ? "" : "hidden", TreeField: TreeField, SingleLineInputField: SingleLineInputField, organizationId: (_a = navOption.organizationId) !== null && _a !== void 0 ? _a : organizationId, attributeName: navOption.attributeName, entityName: navOption.entityName, readonly: navOption.readonly, showFilterButton: navOption.showFilterButton, regardingEntityName: navOption.regardingEntityName, regardingEntityType: navOption.regardingEntityType, onClickFilter: onClickTreeFilter, removeFilteredNode: removeFilteredNode })),
            view != "tree-list" && (react_1.default.createElement("div", { className: "flex flex-row w-full p-2 " },
                react_1.default.createElement("div", { className: "flex-1 py-4" }),
                react_1.default.createElement("div", { onClick: function () {
                        onClose && onClose();
                    }, className: "flex sticky border rounded-md cursor-pointer py-2 px-3 shadow hover:bg-gray-50 hover:shadow-lg justify-center items-center leading-none mr-2" }, "Close"),
                react_1.default.createElement("div", { onClick: function () {
                        onClickApplyTreeFilter();
                        onClose && onClose();
                    }, className: "flex sticky rounded-md cursor-pointer py-2 px-3 shadow bg-".concat(primaryColor.name, "-400 hover:bg-").concat(primaryColor.name, "-500 text-white hover:shadow-lg justify-center items-center leading-none") }, "Apply Filter")))));
    };
    var renderTreeListView = function () {
        if (!props.entity || view != "tree-list" || !navOption)
            return react_1.default.createElement(react_1.default.Fragment, null);
        return (react_1.default.createElement("div", { className: "tree-list-view w-full flex flex-row tree-view p-6", style: { height: height } },
            react_1.default.createElement("div", { className: "flex bg-white h-full mr-6 overflow-hidden shadow rounded-lg" },
                react_1.default.createElement(ListNavSection, { currentId: showListArea ? navOption.id : undefined, onSelectOption: onSelectOption, showDrawer: showDrawer, options: navOptions, smallScreen: smallScreen, onCloseDrawer: smallScreen ? onCloseDrawer : function () { }, onToggleClose: onToggleClose, wrapperStyle: showDrawer
                        ? {
                            position: "fixed",
                            top: 0,
                            left: 0,
                            zIndex: "50"
                        }
                        : {
                            position: "relative",
                            display: (!curRecord.id && smallScreen) ||
                                !smallScreen
                                ? "flex"
                                : "none"
                        } }),
                react_1.default.createElement("div", { className: "list-tree-wrapper h-full bg-white", style: __assign({ width: 358, minWidth: 358, display: showListArea ? "flex" : "none" }, (showDrawer
                        ? {
                            position: "fixed",
                            top: 0,
                            left: 60,
                            zIndex: "50"
                        }
                        : { position: "relative" })) }, renderTree())),
            renderList(),
            showDrawer && (react_1.default.createElement("div", { className: "h-full max-h-full w-full z-10", style: {
                    position: "fixed",
                    left: 0,
                    right: 0,
                    background: (0, colors_1.hexToRgbaString)(colors_1.COLORS.BLACK, 0.1)
                } }))));
    };
    var renderListOnlyView = function () {
        if (!props.entity || view != "full-list" || !navOption)
            return react_1.default.createElement(react_1.default.Fragment, null);
        return (react_1.default.createElement("div", { className: "full-list-view w-full flex flex-row list-view p-4", style: { height: height } }, renderList()));
    };
    return renderContent();
});
exports.default = exports.ListPage;
//# sourceMappingURL=list.js.map