import { CSSProperties } from "react";
import { TListPageView } from "../../pages/list";
import { TColor } from "primeobjects-helper-util/build/cjs/colors";
export type TNavItem = {
    id: string;
    src: string;
    icon: string;
    title: string;
    page?: string;
    slug?: string;
    view?: TListPageView;
    wrapperClassName?: string;
    wrapperStyle?: CSSProperties;
    className?: string;
    style?: CSSProperties;
    iconColor?: string;
    roles?: string[];
    entityName?: string;
    entityType?: string;
    showToggleTagsButton?: boolean;
    hidden?: boolean;
};
export type TNavSectionItemProps = {
    wrapperClassName?: string;
    wrapperStyle?: CSSProperties;
    item: TNavItem;
    selected?: boolean;
    onClickItem?: (item: TNavItem) => void;
    navSize?: string;
    color: TColor;
    iconColor?: string;
    textStyle?: CSSProperties;
    textClassName?: string;
    version?: string;
    style?: CSSProperties;
    className?: string;
};
export type TNavSectionProps = {
    hidden?: boolean;
    allowGuest?: boolean;
    solution: Record<string, any>;
    onClickItem?: (item: TNavItem) => void;
    onClickLogo?: () => void;
    wrapperStyle?: CSSProperties;
    wrapperClassName?: string;
    onResize?: (width: number, size: "sm" | "lg") => void;
    onClickMe?: () => void;
    onClickOrg?: () => void;
    onClickSolution?: () => void;
    hideMeButton?: boolean;
    supportResize?: boolean;
    topArea?: any;
    fixedSize?: "sm" | "lg";
};
