import { notification } from "antd";
import { isNonEmptyString } from "primeobjects-helper-util";
import React, { useEffect } from "react";
import { libTrackIsOn } from "primeobjects-helper-util/build/cjs/core";
import { camelCase } from "lodash";
if (libTrackIsOn())
    console.log("Load Ant Notification");
var Notification = function (props) {
    var message = props.message, description = props.description, type = props.type, id = props.id, refresh = props.refresh;
    var placement = "".concat(camelCase(props.placement ? props.placement : "top-right"));
    var duration = props.duration ? props.duration : 2;
    var params = {
        message: message,
        description: description,
        placement: placement,
        duration: duration
    };
    useEffect(function () {
        if (isNonEmptyString(message) || isNonEmptyString(description)) {
            notification[type ? type : "info"](params);
        }
    }, [message, description, type, placement, id, refresh]);
    return React.createElement(React.Fragment, null);
};
Notification.displayName = "Notification";
export default Notification;
//# sourceMappingURL=notification.js.map