import React, { useState, useEffect } from "react";
import { useSolution } from "primeobjects-helper-ui";
import { GoogleMap, Marker, useLoadScript } from "@react-google-maps/api";
import { COLORS, isNonEmptyString } from "primeobjects-helper-util";
import Lottie from "primeobjects-ui-web-basic/build/cjs/controls/lottie";
import { callApi } from "../context/auth-call-api";
import { getApiEndpoint } from "../util";
export var GoogleMapSection = function (props) {
    var solution = useSolution();
    var address = props.address, zoom = props.zoom;
    var _a = useState(undefined), location = _a[0], setLocation = _a[1];
    var isLoaded = useLoadScript({
        googleMapsApiKey: solution.keys.googleMapsApiKey
    }).isLoaded;
    var _b = useState(false), loading = _b[0], setLoading = _b[1];
    useEffect(function () {
        if (isNonEmptyString(address)) {
            setLoading(true);
            callApi(solution, getApiEndpoint(solution, "data", "get-geo-code"), 
            //"http://localhost:3000/prod/get-geo-code",
            {
                address: address
            }, "GET")
                .then(function (result) {
                var _a;
                setLocation((_a = result === null || result === void 0 ? void 0 : result.geometry) === null || _a === void 0 ? void 0 : _a.location);
            })
                .catch(function (exception) {
                console.error(exception);
            })
                .finally(function () {
                setLoading(false);
            });
        }
    }, [address]);
    useEffect(function () {
        if (props.location)
            setLocation(props.location);
    }, [props.location]);
    return !isLoaded || loading ? (React.createElement("div", { className: "h-12 flex mx-auto my-auto" },
        React.createElement(Lottie, { id: "top-cities", className: "h-full", url: "/icons/platform/lottie/dots-2.json", colors: Array(6).fill(COLORS.GRAY[700]) }))) : !location ? (React.createElement("div", { className: "w-full h-full" })) : (React.createElement(GoogleMap, { mapContainerClassName: "w-full h-full", center: location, zoom: zoom !== null && zoom !== void 0 ? zoom : 10 },
        React.createElement(Marker, { position: location })));
};
export default GoogleMapSection;
//# sourceMappingURL=google-map.js.map