//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { useEffect } from "react";
import Head from "./head";
import PageLoader from "./loader";
import PageError from "./error";
import { checkPageError } from "./util";
import { useCurrentContext } from "../context/use-current-context";
import { setSolution } from "primeobjects-helper-ui/build/cjs/hooks/solution";
import { isEmpty } from "lodash";
import { setAppTrack, setLibTrack } from "primeobjects-helper-util/build/cjs/core";
export var EmptyBasePage = function (props) {
    var solution = props.solution, onContextReady = props.onContextReady;
    var children = props.children, headProps = props.headProps, appTrack = props.appTrack, libTrack = props.libTrack;
    var currentContextSettings = props.currentContextSettings
        ? props.currentContextSettings
        : { signInUrl: "/auth/sign-in" };
    var context = useCurrentContext(solution, __assign(__assign({}, currentContextSettings), { componentName: "/page/empty-base.tsx" }));
    var pageError = checkPageError(props);
    useEffect(function () {
        if (!isEmpty(context)) {
            setSolution(solution);
            onContextReady(context);
        }
        setAppTrack(appTrack == true);
        setLibTrack(libTrack == true);
    }, [context]);
    return !pageError ? (React.createElement(React.Fragment, null,
        React.createElement(Head, __assign({}, headProps)),
        context.userId ? (React.createElement(React.Fragment, null, children)) : (React.createElement(PageLoader, { solution: solution })))) : (React.createElement(PageError, { reason: pageError }));
};
export default EmptyBasePage;
//# sourceMappingURL=empty-base.js.map