//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
import React from "react";
import SiteNavigation from "./site-navigation";
import { isNonEmptyString, isObject } from "primeobjects-helper-util/build/cjs/core";
import { useEnvStore } from "primeobjects-ui-web-store/build/cjs/stores/env";
import { observer } from "mobx-react-lite";
import SiteBreadcrumbSection from "./site-breadcrumb";
export var SiteHeaderSection = observer(function (props) {
    var navigation = props.navigation, solution = props.solution, onClickLogo = props.onClickLogo, pages = props.pages, siteName = props.siteName, siteLogo = props.siteLogo;
    var className = isNonEmptyString(props.className) ? props.className : "";
    var style = isObject(props.style) ? props.style : {};
    var env = useEnvStore();
    return (React.createElement("header", { className: "max-w-7xl py-4 w-full mx-auto px-6 sm:px-8 lg:px-10 sticky top-0 bg-white z-20 ".concat(env.scrollTop > 38 ? "border-b" : "", " ").concat(className), style: style },
        React.createElement(SiteNavigation, { solution: solution, navigation: navigation, onClickLogo: onClickLogo, siteName: siteName, siteLogo: siteLogo }),
        pages && pages.length > 1 && (React.createElement(SiteBreadcrumbSection, { solution: solution, pages: pages }))));
});
export default SiteHeaderSection;
//# sourceMappingURL=site-header.js.map